# The premise object

<table><thead><tr><th width="269.66666666666663">Attribute</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>int</td><td>The unique identified for the premise.</td></tr><tr><td>premise_name</td><td>string</td><td>The display name of the  premise.</td></tr><tr><td>required_variables</td><td>array</td><td>The required variables needed in order to generate the premise. </td></tr><tr><td>premise_type</td><td>string</td><td>The type of premise, either 'email' or 'sentence'.</td></tr><tr><td>profile_name</td><td>string</td><td>The name of the profile this premise is attached to.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.copyfactory.io/api/premises/the-premise-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
